/* Interview Page Styles */
.interview-hero-section {
  position: relative;
  height: 50rem;
  margin-top: 9rem;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 40%;
    z-index: 1;
  }

  .interview-hero-section-part {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    background-color: #000;
    padding: 1.6rem 2.8rem;
    color: #fff;
    font-size: 2.6rem;
    line-height: 2.4rem;
    letter-spacing: 0;
    border-bottom-right-radius: 1.6rem;
    font-weight: 500;

    &.white {
      background-color: #fff;
      color: #080808;
    }
  }

  .interview-hero-section-image {
    position: absolute;
    height: 100%;
    width: 65%;
    object-fit: cover;
    object-position: center;
    bottom: 0;
    right: 0;
    object-position: 50% 30%;
    z-index: 0;
  }

  .interview-hero-section-image-overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 1;
  }

  .interview-hero-section-text-wrapper {
    position: relative;
    z-index: 3;
    color: #fff;
    height: 100%;
    display: flex;
    justify-content: end;
    flex-flow: column;
    padding-bottom: 10rem;
    gap: 2rem;
  }

  .interview-hero-section-text-wrapper-text {
    font-family: "Shippori Mincho", serif;
    font-size: 4rem;
    width: 55%;
    letter-spacing: 0;
    line-height: 160%;
  }

  .interview-hero-section-text-wrapper-text-info {
    font-size: 1.8rem;
    line-height: 100%;
    letter-spacing: 0;
  }

  .interview-hero-section-text-wrapper-text-name {
    font-size: 2.4rem;
    font-weight: 700;
    line-height: 100%;
    letter-spacing: 0;
  }

  .breadcrumb-wrapper {
    z-index: 3;
  }
}

@media (max-width: 780px) {
  .interview-hero-section {
    height: 31rem;
    margin-top: 5.4rem;

    .interview-hero-section-part {
      padding: 0.8rem 1.2rem;
      font-size: 1.6rem;
      border-bottom-right-radius: 1.2rem;
    }

    .interview-hero-section-image {
      width: 100%;
    }

    .interview-hero-section-text-wrapper {
      padding-bottom: 5rem;
      gap: 1rem;
    }

    .interview-hero-section-text-wrapper-text {
      font-size: 1.8rem;
      width: 100%;
      line-height: 180%;
    }

    .interview-hero-section-text-wrapper-text-info {
      font-size: 1.3rem;
      font-weight: 500;
    }

    .interview-hero-section-text-wrapper-text-name {
      font-size: 1.3rem;
    }
  }
}

.interview-content {
  background-color: #f8f6f3;
  padding-top: 10rem;
  padding-bottom: 14rem;

  .side-nav-wrapper {
    top: 35%;
    font-family: "Zen Kaku Gothic Antique", sans-serif;
    font-weight: 700;
  }

  .interview-content-wrapper {
    display: grid;
    grid-template-columns: 20rem 1fr;
    gap: 6rem;
  }

  .interview-content-item {
    display: flex;
    gap: 4rem;
    margin-bottom: 8rem;

    &:last-child {
      margin-bottom: 0;
    }
  }

  .interview-content-item-image {
    height: 46rem;
    width: 50%;
    box-shadow: 0px 0px 20px rgba(119, 137, 147, 0.2);
    object-fit: cover;
    flex-shrink: 0;
  }

  .interview-content-item-text-number {
    font-family: "Zen Kaku Gothic Antique", sans-serif;
    font-weight: 700;
    line-height: 100%;
    color: #c1559a;
    letter-spacing: 0;
    margin-bottom: 2rem;
  }

  .interview-content-item-text-title {
    font-size: 2.4rem;
    line-height: 160%;
    margin-bottom: 2rem;
  }

  .interview-content-item-text-text {
    line-height: 160%;
  }

  .interview-content-main-image {
    box-shadow: 0px 0px 20px rgba(119, 137, 147, 0.2);
    height: 46rem;
    width: 100%;
    object-fit: cover;
    margin-bottom: 3rem;
    object-position: 50% 30%;
  }
}

@media (max-width: 780px) {
  .interview-content {
    padding-top: 4rem;
    padding-bottom: 4rem;

    .interview-content-wrapper {
      grid-template-columns: 1fr;
    }

    .interview-content-item {
      gap: 1.6rem;
      margin-bottom: 4rem;
      display: grid;
    }

    .interview-content-item-image {
      height: 22rem;
      width: 100%;
      object-position: 50% 40%;
    }

    .interview-content-item-text-number {
      margin-bottom: 1.6rem;
      font-size: 1.6rem;
    }

    .interview-content-item-text-title {
      font-size: 1.6rem;
      margin-bottom: 1.6rem;
    }

    .interview-content-main-image {
      height: 22rem;
      margin-bottom: 1.6rem;
    }
  }
}

.other-interview {
  padding-top: 10rem;
  padding-bottom: 2rem;

  .other-interview-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 2rem;
    margin-top: 4.8rem;
    margin-bottom: 4.8rem;
  }

  .main-button {
    margin: 0 auto;
  }
}

@media (max-width: 780px) {
  .other-interview {
    padding-top: 4rem;

    .other-interview-wrapper {
      grid-template-columns: 1fr;
      gap: 2rem;
      margin-top: 3.2rem;
      margin-bottom: 2rem;
    }

    .main-button {
      margin: 0 auto;
      margin-bottom: 4rem;
    }
  }
}
